org.eclipse.eef.ide.api.extensions

## Interface IItemDescriptor<T>

Type Parameters:
  `T` - The type of the Object described

All Known Implementing Classes:
  ItemDescriptor

    public interface IItemDescriptor<T>

The description of the Object.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getDescription()` Returns the description.
`java.lang.String` `getID()` Returns the identifier.
`T` `getItem()` Returns the item.
`java.lang.String` `getLabel()` Returns the label.

### Method Detail

#### getID

    java.lang.String getID()

Returns the identifier.

Returns:
  The identifier

#### getLabel

    java.lang.String getLabel()

Returns the label.

Returns:
  The label

#### getDescription

    java.lang.String getDescription()

Returns the description.

Returns:
  The description

#### getItem

    T getItem()

Returns the item.

Returns:
  The item